  CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_resources_summary_v AS 
 SELECT idmrpt_resource.idmrpt_valid_from,
    idmrpt_resource.idmrpt_valid_to,
    idmrpt_resource.res_id,
        CASE
            WHEN trim(idmrpt_rpt_driver.idv_host) = trim(idmrpt_rpt_driver.idv_name) THEN idmrpt_rpt_driver.idv_name
            ELSE ((idmrpt_rpt_driver.idv_name || ' (') || idmrpt_rpt_driver.idv_host) || ')'
        END AS idv_name,
        CASE
            WHEN trim(idmrpt_resource.res_name) = '' THEN idmrpt_resource.res_dn
            ELSE idmrpt_resource.res_name
        END AS res_name,
    idmrpt_resource.res_desc,
    TO_CHAR(CURRENT_TIMESTAMP + '7305', 'yyyy-mm-dd hh:mm:ss')  fake_future_date
   FROM idm_rpt_cfg.idmrpt_rpt_driver_v idmrpt_rpt_driver,
    idm_rpt_cfg.idmrpt_idv_v idmrpt_idv,
    idm_rpt_cfg.idmrpt_resource_cs_v idmrpt_resource
  WHERE idmrpt_rpt_driver.idv_id = idmrpt_idv.idv_id AND idmrpt_idv.idv_id = idmrpt_resource.idv_id AND
        CASE
            WHEN idmrpt_resource.rpt_drv_id IS NULL THEN 1
            WHEN idmrpt_rpt_driver.rpt_drv_id = idmrpt_resource.rpt_drv_id THEN 1
            ELSE 0
        END = 1
  ORDER BY (
        CASE
            WHEN trim(idmrpt_rpt_driver.idv_host) = trim(idmrpt_rpt_driver.idv_name) THEN idmrpt_rpt_driver.idv_name
            ELSE ((idmrpt_rpt_driver.idv_name || ' (') || idmrpt_rpt_driver.idv_host) || ')'
        END), (
        CASE
            WHEN trim(idmrpt_resource.res_name) = '' THEN idmrpt_resource.res_dn
            ELSE idmrpt_resource.res_name
        END), idmrpt_resource.idmrpt_valid_from;
        
  GRANT SELECT ON IDM_RPT_CFG.idmrpt_resources_summary_v TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM idmrpt_resources_summary_v for IDM_RPT_CFG.idmrpt_resources_summary_v;